// Code generated by go-swagger; DO NOT EDIT.

package statistics

// This file was generated by the swagger tool.
// Editing this file might prove futile when you re-run the swagger generate command

import (
	"net/http"

	"github.com/go-openapi/runtime"
	"github.com/go-openapi/swag"
)

// StatisticsOKCode is the HTTP code returned for type StatisticsOK
const StatisticsOKCode int = 200

/*StatisticsOK StatisticsReport struct

swagger:response statisticsOK
*/
type StatisticsOK struct {
	/*

	 */
	TotalEvents float64 `json:"total_events"`
	/*

	 */
	TotalMembers float64 `json:"total_members"`
	/*

	 */
	TotalTransactionsAmount float64 `json:"total_transactions_amount"`
	/*

	 */
	TotalTransactionsCount float64 `json:"total_transactions_count"`
}

// NewStatisticsOK creates StatisticsOK with default headers values
func NewStatisticsOK() *StatisticsOK {

	return &StatisticsOK{}
}

// WithTotalEvents adds the totalEvents to the statistics o k response
func (o *StatisticsOK) WithTotalEvents(totalEvents float64) *StatisticsOK {
	o.TotalEvents = totalEvents
	return o
}

// SetTotalEvents sets the totalEvents to the statistics o k response
func (o *StatisticsOK) SetTotalEvents(totalEvents float64) {
	o.TotalEvents = totalEvents
}

// WithTotalMembers adds the totalMembers to the statistics o k response
func (o *StatisticsOK) WithTotalMembers(totalMembers float64) *StatisticsOK {
	o.TotalMembers = totalMembers
	return o
}

// SetTotalMembers sets the totalMembers to the statistics o k response
func (o *StatisticsOK) SetTotalMembers(totalMembers float64) {
	o.TotalMembers = totalMembers
}

// WithTotalTransactionsAmount adds the totalTransactionsAmount to the statistics o k response
func (o *StatisticsOK) WithTotalTransactionsAmount(totalTransactionsAmount float64) *StatisticsOK {
	o.TotalTransactionsAmount = totalTransactionsAmount
	return o
}

// SetTotalTransactionsAmount sets the totalTransactionsAmount to the statistics o k response
func (o *StatisticsOK) SetTotalTransactionsAmount(totalTransactionsAmount float64) {
	o.TotalTransactionsAmount = totalTransactionsAmount
}

// WithTotalTransactionsCount adds the totalTransactionsCount to the statistics o k response
func (o *StatisticsOK) WithTotalTransactionsCount(totalTransactionsCount float64) *StatisticsOK {
	o.TotalTransactionsCount = totalTransactionsCount
	return o
}

// SetTotalTransactionsCount sets the totalTransactionsCount to the statistics o k response
func (o *StatisticsOK) SetTotalTransactionsCount(totalTransactionsCount float64) {
	o.TotalTransactionsCount = totalTransactionsCount
}

// WriteResponse to the client
func (o *StatisticsOK) WriteResponse(rw http.ResponseWriter, producer runtime.Producer) {

	// response header total_events

	totalEvents := swag.FormatFloat64(o.TotalEvents)
	if totalEvents != "" {
		rw.Header().Set("total_events", totalEvents)
	}

	// response header total_members

	totalMembers := swag.FormatFloat64(o.TotalMembers)
	if totalMembers != "" {
		rw.Header().Set("total_members", totalMembers)
	}

	// response header total_transactions_amount

	totalTransactionsAmount := swag.FormatFloat64(o.TotalTransactionsAmount)
	if totalTransactionsAmount != "" {
		rw.Header().Set("total_transactions_amount", totalTransactionsAmount)
	}

	// response header total_transactions_count

	totalTransactionsCount := swag.FormatFloat64(o.TotalTransactionsCount)
	if totalTransactionsCount != "" {
		rw.Header().Set("total_transactions_count", totalTransactionsCount)
	}

	rw.Header().Del(runtime.HeaderContentType) //Remove Content-Type on empty responses

	rw.WriteHeader(200)
}
